///File : PanelVerbs.hpp
//------------------------------------------------------------------------------
/*
    This file is part of forbidden2forget.

    Forbidden2forget is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Forbidden2forget is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with forbidden2forget.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined PANEL_VERBS_HPP_FORBIDDEN_2_FORGET
#define PANEL_VERBS_HPP_FORBIDDEN_2_FORGET

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <f2fverbs/F2fVerbs.hpp>
//------------------------------------------------------------------------------
#include <wx/event.h>
#include <wx/stdpaths.h>
#include <wx/statline.h>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "MainFrame.hpp"
//------------------------------------------------------------------------------

class MainFrame;  //On déclare MainFrame avant pr pouvoir l'utiliser juste après.

class PanelVerbs : public wxPanel
{
public:
    PanelVerbs(wxWindow* parent, wxWindowID id, MainFrame *PtToMainFrame, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);
    void OnNew(int lvl);
    void OnOpen(wxString selectedFile = _T(""));
    void OnSave();
    void OnClose();
    void OnFrameClose();
    void OnChgPassword();

    void Refresh();
    void Valider();

    void OnValider(wxCommandEvent& WXUNUSED(event));

private:
    wxStaticText *m_LabelVerb;
    wxTextCtrl *m_TxtCtrlBV, *m_TxtCtrlPret, *m_TxtCtrlPP;
    wxButton *m_BtValider;

    bool inCorrection;

    F2fVerbs *m_F2fVerbs;

    MainFrame *m_PtToMainFrame;

    enum{Id_TxtBoxValid};

    DECLARE_EVENT_TABLE()
};

#endif //PANEL_VERBS_HPP_FORBIDDEN_2_FORGET
